import numpy as np
import pandas as pd

num_time_step = 20
num_iter = 10

env_data = pd.DataFrame(pd.read_excel('env_data.xlsx', engine='openpyxl'))

assert env_data.shape[0] == num_iter * (num_time_step + 1)

lst_df = []
for i in range(num_iter):
    df_tmp = env_data.iloc[i * (num_time_step + 1): (i + 1) * (num_time_step + 1), 1:]
    lst_df.append(df_tmp)
# df_tmp = env_data.iloc[1: 21]
# lst_df.append(df_tmp)


x = np.array(env_data[['t']])
y = np.array(env_data[['out_w_avg_salary']])

import matplotlib.pyplot as plt

plt.xlabel('t')
plt.ylabel('out_w_avg_salary')
plt.plot(x, y)
plt.show()
